openapi: 3.0.2
info:   
  title: Relatórios de política monetária publicados
  version: "1.0"
  description: >-
    A partir de 1º de janeiro de 2025, em decorrência da publicação do Decreto nº 12.079, de 26 de junho de 2024, foi estabelecida nova sistemática para o regime de metas para a inflação.


    Nesse regime, como forma de prestação de contas, há determinação de que o Banco Central do Brasil deve divulgar, até o último dia de cada trimestre civil, relatório de política monetária abordando o desempenho da nova sistemática de meta para a inflação, os resultados das decisões passadas de política monetária e a avaliação prospectiva da inflação.


    Dessa forma, o Relatório de Política Monetária (RPM) apresenta as diretrizes das políticas adotadas pelo Copom e sua avaliação da evolução recente e das perspectivas da economia, especialmente as projeções de inflação. Conjuntamente com o Comunicado e a Ata do Copom, o RPM é um dos principais documentos da política monetária. Essas publicações promovem a transparência das decisões do Comitê, fazendo parte do processo de prestação de contas à sociedade e contribuindo para a eficácia da política monetária. Entre 1999 e 2024, este documento era denominado Relatório de Inflação. [Clique aqui para informações sobre o RI](https://www.bcb.gov.br/publicacoes/ri).


    <b>Sobre o conteúdo disponibilizado:</b>
    
    
    Esta API lista os relatórios de política monetária já publicados e os respectivos metadados.


    O relatório é divulgado trimestralmente e é distribuído como um documento PDF, referenciado no recurso 'Relatórios de política monetária', e separado em arquivos parciais, acessíveis no recurso 'Arquivos integrantes dos relatórios de política monetária'. Além disso, o recurso 'Calendário de divulgação' disponibiliza as datas já agendadas para a divulgação dos próximos relatórios.
  license:
    url: http://www.opendefinition.org/licenses/odc-odbl
    name: Licença Aberta para Bases de Dados (ODbL) do Open Data Commons
  contact:
    url: https://www.bcb.gov.br/acessoinformacao/faleconosco
    name: Banco Central do Brasil
servers:
  - url: https://www.bcb.gov.br/api/servico/sitebcb/rpm
    description: Ambiente de produção
paths:
  /relatorios:
    parameters: []
    get:
      summary: Relatórios de política monetária
      responses:
        "200":
          description: Lista de relatórios de política monetária obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/relatorios"
              examples:
                Lista de relatórios:
                  $ref: "#/components/examples/exemplo_relatorios"
      operationId: reportList
      description: >-
        Lista informações básicas dos últimos relatórios de política monetária publicados.


        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3](https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3)
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            example: 3
            default: 3
          in: query
          name: quantidade
          description: Quantidade de relatórios a serem retornados
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/rpm/relatorios?quantidade=3")

            .header("cache-control", "no-cache")

            .asString();
  /arquivos-integrantes:
    parameters: []
    get:
      summary: Arquivos integrantes dos relatórios de política monetária
      responses:
        "200":
          description: Lista de arquivos integrantes dos relatórios de política monetária obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/arquivos_integrantes"
              examples:
                Lista de arquivos integrantes:
                  $ref: "#/components/examples/exemplo_integrantes"
      operationId: documentList
      description: >-
        Lista informações básicas dos arquivos que, juntos, compõem um relatório específico. Também é disponibilizado um anexo estatístico em formato de planilha. Esse documento objetiva dar publicidade aos dados que suportaram a elaboração dos gráficos e das tabelas utilizados nos relatórios.


        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509](https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509)
      parameters:
        - schema:
            type: string
            example: "202509"
            default: "202509"
            pattern: ^[0-9]{6}$
          in: query
          name: identificadorRelatorio
          description: Ano-mês que identifica o relatório de política monetária, no formato AAAAMM
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/rpm/arquivos-integrantes?identificadorRelatorio=202509")

            .header("cache-control", "no-cache")

            .asString();
  /proximos-relatorios:
    parameters: []
    get:
      summary: Calendário de divulgação
      responses:
        "200":
          description: Lista de próximos relatórios obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/calendario"
              examples:
                Próximos relatórios:
                  $ref: "#/components/examples/exemplo_futuros"
      operationId: futureReportsList
      description: >-
        Lista próximas datas de divulgação dos relatórios de política monetária já agendadas a partir de uma data específica. O Relatório de
        Política Monetária será divulgado até o último dia de cada trimestre civil (de
        acordo com o artigo 5º do Decreto nº 12.079 de 26/06/2024).
        

        Exemplo de solicitação: [https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15](https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15)
      parameters:
        - schema:
            type: string
            pattern: ^(\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$
            example: "2025-09-15"
            default: "2025-09-15"
          in: query
          name: inicioAgenda
          description: Data de referência para identificar os relatórios futuros, no
            formato YYYY-MM-DD.
          required: true
      x-code-samples:
        - lang: Curl
          source: >
            curl -X GET
            "https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15"

            -H "accept: application/json"
        - lang: Javascript - Node
          source: >
            var request = require("request");

            var options = {
              method: 'GET',
              url: 'https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15',
              headers: 
              {   'cache-control': 'no-cache'
              } 
            };

            request(options, function (error, response, body) {
              if (error) throw new Error(error);
              console.log(body);
            });
        - lang: Python
          source: >
            import requests

            url = "https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15"

            headers = {
              'content-type': "application/json",
              'cache-control': "no-cache"
              }
            response = requests.request("GET", url, headers=headers)

            print(response.text)
        - lang: Java
          source: >
            HttpResponse response =
            Unirest.get("https://www.bcb.gov.br/api/servico/sitebcb/rpm/proximos-relatorios?inicioAgenda=2025-09-15")

            .header("cache-control", "no-cache")

            .asString();
components:
  schemas:
    relatorios:
      type: object
      additionalProperties: false
      properties:
        conteudo:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              url:
                type: string
                title: Url
                description: Caminho completo para acesso ao arquivo PDF do relatório
                example: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509p.pdf
              linkPaginaBC:
                type: string
                title: Link para página no site do BC
                description: Caminho para acesso à página do Relatório de Política Monetária, no site do
                  Banco Central
                example: https://www.bcb.gov.br/publicacoes/ri/202509
              identificador:
                type: string
                title: Identificador do relatório
                description: Ano-mês do Relatório de Política Monetária, no formato AAAAMM
                pattern: ^[0-9]{6}$
                example: "202509"
              dataReferencia:
                type: string
                title: Data de referência da publicação
                format: date
                description: "Data de referência da publicação, com formato conforme especificação RFC-3339"
                example: "2025-09-25"
              issn:
                type: string
                title: ISSN
                description: ISSN dos relatórios de política monetária, sempre é ISSN 1517-6576
                example: ISSN 1517-6576
              edicao:
                type: string
                title: Edição
                description: Edição da publicação
                example: "3"
              volume:
                type: string
                title: Volume
                description: Volume da publicação
                example: "1"
              descricao:
                type: string
                title: Descricao
                description: Introdução ao relatório publicado
                example: O Relatório de Política Monetária (RPM) apresenta as diretrizes das políticas adotadas pelo Copom 
                  e sua avaliação da evolução recente e das perspectivas da economia, especialmente as projeções de inflação. 
                  Conjuntamente com o Comunicado e a Ata do Copom, o RPM é um dos principais documentos da política monetária. 
                  Essas publicações promovem a transparência das decisões do Comitê, fazendo parte do processo de prestação 
                  de contas à sociedade e contribuindo para a eficácia da política monetária. Entre 1999 e 2024, 
                  este documento era denominado Relatório de Inflação.
            title: Conteudo
      required:
        - conteudo
      title: Relatórios
    arquivos_integrantes:
      description: ""
      type: object
      additionalProperties: false
      properties:
        conteudo:
          type: array
          uniqueItems: true
          description: Lista de arquivos
          items:
            type: object
            additionalProperties: false
            properties:
              url:
                type: string
                description: Caminho completo para acesso ao arquivo
                example: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b1p.pdf
              nome:
                type: string
                description: Nome do arquivo
                example: rpm202509b1p.pdf
              tamanho:
                type: string
                description: Tamanho do arquivo em bytes
                example: "230615"
              titulo:
                type: string
                description: Título do documento
                example: "Projeções para a evolução do PIB em 2025 e 2026"
              dataReferencia:
                type: string
                title: Data de referência publicação
                description: "Data de referência da publicação do documento, com formato conforme
                  especificação RFC-3339"
                format: date
                example: "2025-09-25"
              ordem:
                title: Nro de ordem do arquivo
                type: number
                description: Ordem em que o conteúdo dos documentos é mostrado no sumário na página dos relatórios de política monetária
                example: 1
      required:
        - conteudo
      title: Arquivos integrantes        
    calendario:
      description: ""
      type: object
      properties:
        conteudo:
          type: array
          uniqueItems: true
          minItems: 1
          items:
            type: object
            properties:
              evento:
                type: string
                description: Identificação do tipo de evento na agenda
                example: Relatório de Política Monetária
              dataEvento:
                type: string
                description: "Data do evento, com formato conforme especificação RFC-3339"
                format: date
                example: "2025-09-25"
              descricao:
                type: string
                description: Descrição da agenda
                example: Referência 3º trimestre de 2025
      required:
        - conteudo
      title: Calendário        
  examples:
    exemplo_relatorios:
      value:
        conteudo:
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202509
            identificador: "202509"
            dataReferencia: 2025-09-25
            issn: ISSN 1517-6576
            edicao: "3"
            volume: "1"
            descricao: O Relatório de Política Monetária (RPM) apresenta as diretrizes das políticas 
              adotadas pelo Copom e sua avaliação da evolução recente e das perspectivas da economia, 
              especialmente as projeções de inflação. Conjuntamente com o Comunicado e a Ata do Copom, 
              o RPM é um dos principais documentos da política monetária. Essas publicações promovem a 
              transparência das decisões do Comitê, fazendo parte do processo de prestação de contas à 
              sociedade e contribuindo para a eficácia da política monetária. Entre 1999 e 2024, este 
              documento era denominado Relatório de Inflação.
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202506/rpm202506p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202506
            identificador: "202506"
            dataReferencia: 2025-06-26
            issn: ISSN 1517-6576
            edicao: "2"
            volume: "1"
            descricao: O Relatório de Política Monetária (RPM) apresenta as diretrizes das políticas 
              adotadas pelo Copom e sua avaliação da evolução recente e das perspectivas da economia, 
              especialmente as projeções de inflação. Conjuntamente com o Comunicado e a Ata do Copom, 
              o RPM é um dos principais documentos da política monetária. Essas publicações promovem a 
              transparência das decisões do Comitê, fazendo parte do processo de prestação de contas à 
              sociedade e contribuindo para a eficácia da política monetária. Entre 1999 e 2024, este 
              documento era denominado Relatório de Inflação.
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202503/rpm202503p.pdf
            linkPaginaBC: https://www.bcb.gov.br/publicacoes/ri/202503
            identificador: "202503"
            dataReferencia: 2025-03-27
            issn: ISSN 1517-6576
            edicao: "1"
            volume: "1"
            descricao: O Relatório de Política Monetária (RPM) apresenta as diretrizes das políticas 
              adotadas pelo Copom e sua avaliação da evolução recente e das perspectivas da economia, 
              especialmente as projeções de inflação. Conjuntamente com o Comunicado e a Ata do Copom, 
              o RPM é um dos principais documentos da política monetária. Essas publicações promovem a 
              transparência das decisões do Comitê, fazendo parte do processo de prestação de contas à 
              sociedade e contribuindo para a eficácia da política monetária. Entre 1999 e 2024, este 
              documento era denominado Relatório de Inflação.
    exemplo_integrantes:
      value:
        conteudo:
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b1p.pdf
            nome: rpm202509b1p.pdf
            tamanho: "230615"
            titulo: Projeções para a evolução do PIB em 2025 e 2026
            dataReferencia: 2025-09-25
            ordem: 1
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b2p.pdf
            nome: rpm202509b2p.pdf
            tamanho: "243216"
            titulo: Trocas de emprego e prêmio salarial
            dataReferencia: 2025-09-25
            ordem: 2
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b3p.pdf
            nome: rpm202509b3p.pdf
            tamanho: "265937"
            titulo: Efeitos do trabalho por aplicativos no mercado de trabalho
            dataReferencia: 2025-09-25
            ordem: 3
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b4p.pdf
            nome: rpm202509b4p.pdf
            tamanho: "265599"
            titulo: Impacto da educação e da demografia em indicadores do mercado de trabalho
            dataReferencia: 2025-09-25
            ordem: 4
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b5p.pdf
            nome: rpm202509b5p.pdf
            tamanho: "322532"
            titulo: Novo crédito consignado privado
            dataReferencia: 2025-09-25
            ordem: 5
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b6p.pdf
            nome: rpm202509b6p.pdf
            tamanho: "259695"
            titulo: Impacto na taxa de inadimplência decorrente das novas regras de contabilização de instrumentos financeiros
            dataReferencia: 2025-09-25
            ordem: 6
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b7p.pdf
            nome: rpm202509b7p.pdf
            tamanho: "247281"
            titulo: Projeção para a evolução do crédito em 2025 e 2026
            dataReferencia: 2025-09-25
            ordem: 7
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b8p.pdf
            nome: rpm202509b8p.pdf
            tamanho: "241275"
            titulo: Projeções para as contas externas em 2025 e 2026
            dataReferencia: 2025-09-25
            ordem: 8
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b9p.pdf
            nome: rpm202509b9p.pdf
            tamanho: "626275"
            titulo: Pesquisa Firmus – expectativas e percepções das empresas brasileiras
            dataReferencia: 2025-09-25
            ordem: 9
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b10p.pdf
            nome: rpm202509b10p.pdf
            tamanho: "463814"
            titulo: Tendência da inflação salarial por setores e faixas etárias
            dataReferencia: 2025-09-25
            ordem: 10
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b11p.pdf
            nome: rpm202509b11p.pdf
            tamanho: "880393"
            titulo: Medindo a comunicação de política monetária
            dataReferencia: 2025-09-25
            ordem: 11
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509b12p.pdf
            nome: rpm202509b12p.pdf
            tamanho: "338236"
            titulo: Nota sobre o descumprimento da meta para a inflação
            dataReferencia: 2025-09-25
            ordem: 12
          - url: https://www.bcb.gov.br/content/ri/relatorioinflacao/202509/rpm202509anp.xlsx
            nome: rpm202509anp.xlsx
            tamanho: "1058911"
            titulo: Anexo estatístico
            dataReferencia: 2025-09-25
            ordem: 13
    exemplo_futuros:
      value:
        conteudo:
          - evento: Relatório de Política Monetária
            dataEvento: 2025-09-25
            descricao: Referência 3º trimestre de 2025​
          - evento: Relatório de Política Monetária
            dataEvento: 2025-12-18
            descricao: Referência 4º trimestre de 2025​
          - evento: Relatório de Política Monetária
            dataEvento: 2026-03-26
            descricao: Referência 1º trimestre de 2026
          - evento: Relatório de Política Monetária
            dataEvento: 2026-06-25
            descricao: Referência 2º trimestre de 2026​
          - evento: Relatório de Política Monetária
            dataEvento: 2026-09-24
            descricao: Referência 3º trimestre de 2026​​
          - evento: Relatório de Política Monetária
            dataEvento: 2026-12-17
            descricao: Referência 4º trimestre de 2026​​
